package com.icefaces.support.example;

import java.io.Serializable;
import java.util.ArrayList;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import org.icefaces.ace.model.table.RowStateMap;

@ManagedBean
@SessionScoped
public class TestBean implements Serializable{

    private ArrayList itemList;
    private RowStateMap stateMap = new RowStateMap();
    
    public TestBean(){
        itemList = new ArrayList();
        for(int i=0;i<10;i++){
            itemList.add(new Item("AA" + i, "BB" + i, "CC" + i, "DD" +i));
        }
    }

    public ArrayList getItemList() {
        return itemList;
    }

    public void setItemList(ArrayList itemList) {
        this.itemList = itemList;
    }

    public RowStateMap getStateMap() {
        return stateMap;
    }

    public void setStateMap(RowStateMap stateMap) {
        this.stateMap = stateMap;
    }
    
    
    
}
